| Bsoft 2.0.5 Bernard's software package

Classes | Functions
proj_tool.h File Reference
`#include "rwimg.h"`

Go to the source code of this file.

## Classes
struct | LUTable

## Functions
LUTable * | create_table (int ncol, int sizeT)
int | kill_table (LUTable *lut)
int | write_line (Bimage *p, Bimage *prec, int angolo, float csi, float eta, Bimage *pmask, LUTable *lut, float *priga)
int | weigh_radon_transf (Bimage *p, Bimage *pmask)
| Weighs a radon transform with a mask. More...

## Detailed Description

Author
  P.L. Bellon, F. Cantele and S. Lanzavecchia Dip. Chimica Strutturale e Stereochimica Inorganica Via Venezian 21, 20133 Milano, Italy

Date
  Created: 7 04 2003
  Modified: 07 07 2005

Definition in file proj_tool.h.

## Function Documentation

## ◆ create_table()

LUTable* create_table | ( | int | ncol,
|  | int | sizeT
| ) |  |

Parameters

  ncol |
  sizeT |

Returns
  int 0

Definition at line 25 of file proj_tool.cpp.

## ◆ kill_table()

int kill_table | ( | LUTable * | lut | ) |

Definition at line 139 of file proj_tool.cpp.

## ◆ weigh_radon_transf()

int weigh_radon_transf | ( | Bimage * | p,
|  | Bimage * | pmask
| ) |  |

Weighs a radon transform with a mask.

Parameters

  *p | radon transform.
  *pmask | mask calculated for the radon transform.

Returns
  int 0

      The mask is searched for the minimum value to assess completeness.
      Each value in the mask above a threshold is inverted (the weight to be applied).
      Values below the threshold is set to zero.
      The threshold is set to 0.9.

Definition at line 289 of file proj_tool.cpp.

## ◆ write_line()

int write_line | ( | Bimage * | p,
|  | Bimage * | prec,
|  | int | angolo,
|  | float | csi,
|  | float | eta,
|  | Bimage * | pmask,
|  | LUTable * | lut,
|  | float * | priga
| ) |  |

Parameters

  *p |
  *prec |
  angolo | angle index
  csi |
  eta |
  *pmask |
  *lut |
  *priga |

Returns
  int 0

Definition at line 177 of file proj_tool.cpp.